#!/bin/sh
#
# Test alert transmission script for hardware maintenance agent
#

get_conffile()
{
	local SEC=$1
	local KEY=$2
	local FILE=$3
	
	sed -n "/^\\[${SEC}\\]/,/^\\[/p" ${FILE} | grep "^${KEY}=" | cut -f2 -d=
}

#if [ "$1" != "hma" -a "$1" != "assist00" ]; then
#	echo "Invalid argument."
#	exit 1
#fi

PID=
if [ -f /var/run/SMAL2MASvc.pid ]; then
	PID=`cat /var/run/SMAL2MASvc.pid`
fi
if [ -z "${PID}" ]; then
	echo "Log Minitoring tool is not executing."
	echo "Canceled test alert."
	exit 1
fi

if [ "$1" != "silent" ]; then
	echo "==== TEST ALERT TOOL ===="
	echo "Do you write a message for test reports in the syslog?"
	while [ 1 ]
	do
		echo -n "(yes|no[no]): "
		read ANS
		ANS=`echo ${ANS} | tr '[:lower:]' '[:upper:]'`
		case "${ANS}" in
		YES|Y)
			break
			;;
		NO|N|"")
			exit 1
			;;
		esac
	done
fi

PRIORITY="user.info"
SVCNAME="SMAL2_MainteAgtSvc"
CHECKID="_SMAL2MRegA.exe_20060701_"
MSKKEY="TestReportOpportunity_T4"

logger -t "${SVCNAME}" -p "${PRIORITY}" "Test alert transmission (${MSKKEY}) CheckID:${CHECKID}"

if [ "$1" != "silent" ]; then
	echo "Wrote a message for test reports."
	#echo "Please confirm that it is reported to ASSIST."
fi
exit 0
